EGGDROP(1)

NAME
eggdrop - an IRC robot program

SYNOPSIS
eggdrop [options] [config-file]

DESCRIPTION
eggdrop is a fully-functional Internet Relay Chat robot program. It is stand-alone, and does not require the ircII client. It currently supports all known IRC nets, including EFnet, IRCNet, Dalnet and Undernet.

By itself, eggdrop does nothing. It needs a config file (usually named after your bot) to tell it how to behave. The config file is actually a script written in enhanced Tcl (Tcl with extra commands and variables defined by eggdrop). A sample Tcl config file with describing comments for each option, eggdrop.conf.dist, is given with the distribution.

OPTIONS
eggdrop options include:

-h  displays a list of command-line options.

-v  displays the current version of eggdrop, as well as any patches that have been loaded.

-n  eggdrop normally automatically moves into the background upon loading. This option makes it stay in the foreground and display console entries to the console terminal.

-nc Like -n the bot won't move into the background. However, the console terminal will display channel status every 10 seconds, instead of log entries.

-nt As above, the bot won't move into the background. The console terminal simulates a local DCC chat which never ends (as long as the bot is running). The nickname used for the DCC chat is "HQ" (a master).

-m  The first time you run eggdrop, you need to use the -m option, to put eggdrop in "userfile creation" mode. Follow the directions and it will build a user record database, with you listed as an 'owner' (person who runs the bot).

SIGNALS
eggdrop handles the following signals:

SIGCHLD
    This signal is ignored by eggdrop and can be used to determine whether it's running or not.

SIGTERM
    Depending on die-on-sigterm being set to 0 or 1 in the config file, eggdrop will save the user file or die.

SIGHUP
    Depending on die-on-sighup being set to 0 or 1 in the config file, eggdrop will rehash or die.

ENVIRONMENT VARIABLES

EGG_LANG
    This variable can be set to the language you want eggdrop to speak to you. It defaults to English, but German and French are supported, too.

EGG_LANGDIR
    Specifies the directory where all your language files are stored. The default is ./language

FILES

eggdrop.conf
    sample configuration file, containing all available options in eggdrop.

scripts/weed
    Tcl script to sort eggdrop userfiles

scripts/botchk
    shell script suitable for crontab job

scripts/*.tcl
    some example Tcl-eggdrop scripts

SEE ALSO
irc(1), ircII(1), tclsh(1), ircd(8)

There is extensive online documentation. Once you get the bot running, open a DCC chat with it, and send it a DCC message like:

    /msg =MyBot .help

In addition, the files in the doc/ sub-directory provide detailed information about how eggdrop works and how you can use it to the limits.

AUTHORS
Written by Robey Pointer, the Eggheads Development Team and various other people. See the doc/AUTHORS file for who contributed and the doc/UPDATES* series of files for further details.

REPORTING BUGS
Report bugs to <bugs@eggheads.org>.

COPYRIGHT
Copyright (C) 1994 Robey Pointer
Copyright (C) 1999, 2000, 2001, 2002 Eggheads Development Team

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.